<?php


namespace MirfalahTech\Laravel\Payment\Events;


use Illuminate\Http\Request;
use MirfalahTech\Laravel\Payment\Contracts\PaymentGatewayDriver;

abstract class PaymentGatewayEvent
{
    protected $gateway;
    protected $gatewayDriver;
    protected $request;

    public function __construct(string $gateway, PaymentGatewayDriver $gatewayDriver, Request $request)
    {
        $this->gateway = $gateway;
        $this->gatewayDriver = $gatewayDriver;
        $this->request = $request;
    }

    /**
     * @return string
     */
    public function getGateway(): string
    {
        return $this->gateway;
    }

    /**
     * @return PaymentGatewayDriver
     */
    public function getDriver(): PaymentGatewayDriver
    {
        return $this->gatewayDriver;
    }

    /**
     * @return Request
     */
    public function getRequest(): Request
    {
        return $this->request;
    }
}