<?php


namespace MirfalahTech\Laravel\Payment\Facade;


use Illuminate\Http\Request;
use Illuminate\Support\Facades\Facade;
use MirfalahTech\Laravel\Payment\Contracts\PayableEntity;
use MirfalahTech\Laravel\Payment\Contracts\PaymentGatewayDriver;
use Symfony\Component\HttpFoundation\Response;

/**
 * Class Payment
 * @package MirfalahTech\Laravel\Payment\Facade
 *
 * @method static PaymentGatewayDriver via(string $gateway = null)
 * @method static string createPaymentURL(PayableEntity $payable, array $options = [])
 * @method static bool verifyGatewayReturn(Request $request)
 * @method static bool verifyGatewayCallback(Request $request, Response &$response = null)
 * @method static string|null getBillIdFromRequest(Request $request)
 * @method static int|null getBillStatus(Request $request)
 * @method static bool|null isBillSuccess(Request $request)
 * @method static bool|null isBillFailed(Request $request)
 * @method static bool|null isBillPending(Request $request)
 */
class Payment extends Facade
{
    const SUCCESS = 1;
    const FAILED = -1;
    const PENDING = 0;

    protected static function getFacadeAccessor()
    {
        return 'payment';
    }
}
