<?php
/** @noinspection PhpUndefinedMethodInspection */

namespace MirfalahTech\Laravel\Payment\Traits;


use Illuminate\Http\Request;

trait BillStatusBoolean
{
    public function isBillSuccess(Request $request): ?bool
    {
        $status = $this->getBillStatus($request);
        return $status === null ? null : $status > 0;
    }

    public function isBillFailed(Request $request): ?bool
    {
        $status = $this->getBillStatus($request);
        return $status === null ? null : $status < 0;
    }

    public function isBillPending(Request $request): ?bool
    {
        $status = $this->getBillStatus($request);
        return $status === null ? null : $status == 0;
    }
}